Summary: Tool to manage Mellanox HCA firmware flash memory
Name: openib-tvflash
Version: 0.9.2
Release: 8%{?dist}
License: GPL/BSD
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: http://www.openfabrics.org/downloads/tvflash-%{version}.tar.gz
Url: http://www.openfabrics.org/
BuildRequires: pciutils-devel
ExclusiveArch: i386 x86_64 ia64 ppc ppc64

%description
tvflash is used to query and update the firmware flash memory attached
to Mellanox InfiniBand HCAs.

%prep
%setup -q -n tvflash-%{version}

%build
%configure
make

%install
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_prefix}/sbin/tvflash
%doc README NEWS ChangeLog COPYING

%changelog
* Fri May 23 2008 Doug Ledford <dledford@redhat.com> - 0.9.2-8
- Rename package to openib-tvflash since previous change didn't fully solve
  the upgrade problem
- Resolves: bz447707

* Wed May 21 2008 Doug Ledford <dledford@redhat.com> - 0.9.0-3
- Remove the obsoletes to upgrades will work
- Resolves: bz447707

* Tue Apr 01 2008 Doug Ledford <dledford@redhat.com> - 0.9.0-2
- Update to final OFED 1.3 bits
- Related: bz441825

* Tue Jan 29 2008 Doug Ledford <dledford@redhat.com> - 0.9.0-1
- Initial import into cvs

